Package com.castlabs.sdk.thumbs

## Class ThumbnailsTrackRenderer

- java.lang.Object
- - com.google.android.exoplayer2.BaseRenderer
  - - com.castlabs.sdk.thumbs.ThumbnailsTrackRenderer

- All Implemented Interfaces:
    `com.google.android.exoplayer2.drm.DrmSession.EventListener`, `com.google.android.exoplayer2.PlayerMessage.Target`, `com.google.android.exoplayer2.Renderer`, `com.google.android.exoplayer2.RendererCapabilities`

      public class ThumbnailsTrackRenderer
      extends com.google.android.exoplayer2.BaseRenderer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.android.exoplayer2.BaseRenderer

      `com.google.android.exoplayer2.BaseRenderer.RendererStreamException`

    - ### Nested classes/interfaces inherited from interface com.google.android.exoplayer2.Renderer

      `com.google.android.exoplayer2.Renderer.Listener, com.google.android.exoplayer2.Renderer.State`

    - ### Nested classes/interfaces inherited from interface com.google.android.exoplayer2.RendererCapabilities

      `com.google.android.exoplayer2.RendererCapabilities.AdaptiveSupport, com.google.android.exoplayer2.RendererCapabilities.Capabilities, com.google.android.exoplayer2.RendererCapabilities.CodecImplementation, com.google.android.exoplayer2.RendererCapabilities.FormatSupport, com.google.android.exoplayer2.RendererCapabilities.TunnelingSupport`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static com.google.android.exoplayer2.RendererCapabilities` | `RENDERER_CAPABILITIES` |

    - ### Fields inherited from interface com.google.android.exoplayer2.Renderer

      `STATE_DISABLED, STATE_ENABLED, STATE_STARTED`

    - ### Fields inherited from interface com.google.android.exoplayer2.RendererCapabilities

      `ADAPTIVE_NOT_SEAMLESS, ADAPTIVE_NOT_SUPPORTED, ADAPTIVE_SEAMLESS, ADAPTIVE_SUPPORT_MASK, CODEC_IMPLEMENTATION_HARDWARE, CODEC_IMPLEMENTATION_MASK, CODEC_IMPLEMENTATION_SOFTWARE, FORMAT_EXCEEDS_CAPABILITIES, FORMAT_HANDLED, FORMAT_SUPPORT_MASK, FORMAT_UNSUPPORTED_DRM, FORMAT_UNSUPPORTED_SUBTYPE, FORMAT_UNSUPPORTED_TYPE, TUNNELING_NOT_SUPPORTED, TUNNELING_SUPPORT_MASK, TUNNELING_SUPPORTED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ThumbnailsTrackRenderer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isEnded()` |
    `boolean` | `isReady()` |
    `void` | `render​(long positionUs, long elapsedRealtimeUs)` |
    `int` | `supportsFormat​(com.google.android.exoplayer2.Format format)` |

    - ### Methods inherited from class com.google.android.exoplayer2.BaseRenderer

      `disable, enable, getCapabilities, getMediaClock, getReadingPositionUs, getState, getStream, getTrackType, handleMessage, hasReadStreamToEnd, isCurrentStreamFinal, maybeThrowStreamError, onRenewed, replaceStream, reset, resetPosition, setCurrentStreamFinal, setIndex, setListener, setRenderingIntervalManager, start, stop, supportsMixedMimeTypeAdaptation`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.Renderer

      `setOperatingRate`

- - ### Field Detail

    - #### RENDERER_CAPABILITIES

          @NonNull
          public static com.google.android.exoplayer2.RendererCapabilities RENDERER_CAPABILITIES

  - ### Constructor Detail

    - #### ThumbnailsTrackRenderer

          public ThumbnailsTrackRenderer()

  - ### Method Detail

    - #### render

          public void render​(long positionUs,
                             long elapsedRealtimeUs)
                      throws com.google.android.exoplayer2.ExoPlaybackException

      Throws:
        `com.google.android.exoplayer2.ExoPlaybackException`

    - #### isReady

          public boolean isReady()

    - #### isEnded

          public boolean isEnded()

    - #### supportsFormat

          public int supportsFormat​(@NonNull
                                    com.google.android.exoplayer2.Format format)
                             throws com.google.android.exoplayer2.ExoPlaybackException

      Throws:
        `com.google.android.exoplayer2.ExoPlaybackException`